Update networks for an L2 Segment

PUT/v1/l2_segments/{l2_segment_id}/networks

It's possible to update L2 Segment networks by creating new ones or deleting existing ones. Use this PUT request sent to /v1/l2_segments/{l2_segment_id}/networks for this purpose. Pay attention to the segment's ID in the path parameters and specify what will be updated in the request body. The operation applies only to IPv4 networks.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
l2_segment_id
string

A unique identifier of an L2 Segment.

Request Body

FieldDetails
array<object>

Fill in an array of objects with the following parameters to create a new network:

mask - prefix length that defines the subnet size. Only a /32 subnet is allowed. Thus, this parameter can take the 32 value only.

distribution_method - only the route value is available for this request; all IP addresses within a subnet are available for customer's use.

Each object is a new network.

delete?
array<string>

Specify networks you want to delete by listing their IDs in the array.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/l2_segments/4QbYKezq/networks" \  -H "Content-Type: application/json" \  -d '{    "create": [      {        "mask": 32,        "distribution_method": "route"      }    ],    "delete": [      "Jxbo8kdg",      "8mepBmbM",      "4zbq6kdp"    ]  }'
{  "id": "4QbYKezq",  "name": "name518",  "type": "public",  "status": "active",  "location_group_id": 41,  "location_group_code": "location1071",  "labels": {},  "updated_at": "2026-05-28T06:58:42Z",  "created_at": "2026-05-28T06:58:42Z"}